package com.chenyang.nse.bussiness.engine.infa.basic.impxmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sourcefoldername", "sourcerepositoryname", "targetfoldername", "targetrepositoryname"}
)
@XmlRootElement(
   name = "FOLDERMAP"
)
public class FOLDERMAP {
   @XmlAttribute(
      name = "TARGETREPOSITORYNAME",
      required = true
   )
   protected String targetrepositoryname;
   @XmlAttribute(
      name = "TARGETFOLDERNAME",
      required = true
   )
   protected String targetfoldername;
   @XmlAttribute(
      name = "SOURCEREPOSITORYNAME",
      required = true
   )
   protected String sourcerepositoryname;
   @XmlAttribute(
      name = "SOURCEFOLDERNAME",
      required = true
   )
   protected String sourcefoldername;

   public String getTARGETREPOSITORYNAME() {
      return this.targetrepositoryname;
   }

   public void setTARGETREPOSITORYNAME(String value) {
      this.targetrepositoryname = value;
   }

   public String getTARGETFOLDERNAME() {
      return this.targetfoldername;
   }

   public void setTARGETFOLDERNAME(String value) {
      this.targetfoldername = value;
   }

   public String getSOURCEREPOSITORYNAME() {
      return this.sourcerepositoryname;
   }

   public void setSOURCEREPOSITORYNAME(String value) {
      this.sourcerepositoryname = value;
   }

   public String getSOURCEFOLDERNAME() {
      return this.sourcefoldername;
   }

   public void setSOURCEFOLDERNAME(String value) {
      this.sourcefoldername = value;
   }
}
